##############################################################################
## This file is part of 'SLAC Firmware Standard Library'.
## It is subject to the license terms in the LICENSE.txt file found in the
## top-level directory of this distribution and at:
##    https://confluence.slac.stanford.edu/display/ppareg/LICENSE.html.
## No part of 'SLAC Firmware Standard Library', including this file,
## may be copied, modified, propagated, or distributed except according to
## the terms contained in the LICENSE.txt file.
##############################################################################
#schemaversion 3.0.0
#once TPGSeqMem.yaml
#include GenericMemory.yaml

TPGSeqMem: &TPGSeqMem
  class: MMIODev
  description: Timing pattern sequencer memory programming
  size: 0x800000
  #########
  children:
  #########
    ICache:
      at:
        offset: 0x0000
        stride: 0x2000
        nelms: 64
      class: MMIODev
      size: 0x80000
      children:
        MemoryArray:
          <<: *MemoryArray
          at:
            offset: 0x0
            nelms: 0x800
          mode: RW
      hidden: true
      description: "Sequencer instructions; 2048 per engine; 64 engines"
    #########################################################